=== debian/changelog ===
schroedinger-maeparser (1.0.1-4) unstable; urgency=medium

  * debian/libschroedinger-maeparser-dev.dirs: Added /usr/share/cmake.
  * debian/rules: Install cmake files into /usr/share/cmake.

 -- Michael Banck <mbanck@debian.org>  Wed, 16 Jan 2019 15:58:37 +0100

schroedinger-maeparser (1.0.1-3) unstable; urgency=medium

  * Team upload
  * debian/control (Build-Depends): Added cmake and libboost-test-dev.
  * debian/rules: Use `builddir' instead of `build' in order not to confuse
    `debian/rules build'.

 -- Michael Banck <mbanck@debian.org>  Wed, 16 Jan 2019 09:00:36 +0100

schroedinger-maeparser (1.0.1-2) unstable; urgency=medium

  * Fixing empty /usr/include/maeparser directory

 -- Steffen Moeller <moeller@debian.org>  Thu, 06 Dec 2018 15:01:13 +0100

schroedinger-maeparser (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #910290)

 -- Steffen Moeller <moeller@debian.org>  Wed, 03 Oct 2018 21:41:04 +0200
