=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

#export CMAKE_INSTALL_PREFIX=$(CURDIR)/debian/tmp


%:
	dh $@

override_dh_auto_configure:
	mkdir builddir
	cd builddir ; CXX=g++ cmake ..

override_dh_auto_build:
	$(MAKE) -C builddir


override_dh_install:
	mkdir -p $(CURDIR)/debian/libschroedinger-maeparser1/usr/lib/$$(dpkg-architecture -qDEB_BUILD_MULTIARCH)
	mkdir -p $(CURDIR)/debian/libschroedinger-maeparser-dev/usr/lib/$$(dpkg-architecture -qDEB_BUILD_MULTIARCH)
	mv builddir/libm*.so.* $(CURDIR)/debian/libschroedinger-maeparser1/usr/lib/$$(dpkg-architecture -qDEB_BUILD_MULTIARCH)/
	mv builddir/libm*.so $(CURDIR)/debian/libschroedinger-maeparser-dev/usr/lib/$$(dpkg-architecture -qDEB_BUILD_MULTIARCH)/
	cp *.hpp $(CURDIR)/debian/libschroedinger-maeparser-dev/usr/include/maeparser/
	mv builddir/CMakeFiles/Export/lib/cmake/*.cmake $(CURDIR)/debian/libschroedinger-maeparser-dev/usr/share/cmake

#override_dh_auto_install:
#	dh_install
#	# Fails - and should not be performed because of
#	#         stripping
#	#$(MAKE) -C builddir install
#
override_dh_auto_clean:
	dh_auto_clean
	rm -rf builddir

override_dh_auto_test:
	$(MAKE) -C builddir test CTEST_OUTPUT_ON_FAILURE=1
