=== debian/changelog ===
schroedinger-maeparser (1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/soversion.patch: Removed, no longer needed.
  * debian/control (Build-Depends): Added libboost-filesystem-dev and
    libboost-iostreams-dev.
  * debian/rules: Remove all custom rules.
  * debian/patches/cmake_standard_dirs.patch: New patch, fixes installation
    directories.
  * debian/libschroedinger-maeparser1.install: New file, installing the shared
    library.
  * debian/libschroedinger-maeparser-dev.install: Updated.
  * debian/libschroedinger-maeparser1.lintian-overrides: Updated.

 -- Michael Banck <mbanck@debian.org>  Tue, 23 Jul 2019 00:15:57 -0300
