=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 11), cmake, libboost-test-dev
+Build-Depends: debhelper (>= 11), cmake, libboost-filesystem-dev, libboost-iostreams-dev, libboost-test-dev
 Standards-Version: 4.2.1
 Section: libs
 Homepage: https://www.schrodinger.com/maestro
