## schroedinger-maeparser 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,8 @@
 add_library(maeparser SHARED Buffer.cpp MaeBlock.cpp MaeParser.cpp Reader.cpp Writer.cpp)
 SET_TARGET_PROPERTIES (maeparser
     PROPERTIES
-       VERSION 1.2
-       SOVERSION 1.2
+       VERSION 1.2.2
+       SOVERSION 1
 )
 target_link_libraries(maeparser Boost::disable_autolinking Boost::dynamic_linking Boost::iostreams)
