=== debian/changelog ===
schroedinger-maeparser (1.2.2-1build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:38:19 +0000

schroedinger-maeparser (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.2
  * Updating debian/libschroedinger-maeparser1.lintian-overrides.
  * Adding a patch to install all the headers.

 -- Andrius Merkys <merkys@debian.org>  Thu, 14 Nov 2019 07:32:34 -0500
