=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: schroedinger-maeparser
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper (>= 11), cmake, libboost-filesystem-dev, libboost-iostreams-dev, libboost-test-dev
 Standards-Version: 4.2.1
