## schroedinger-maeparser 1.2.3

=== debian/changelog ===
schroedinger-maeparser (1.2.3-3) unstable; urgency=medium

  * Team upload.
  * Declaring Breaks/Replaces for previously used binary package names
    (Closes: #956057)

 -- Andrius Merkys <merkys@debian.org>  Tue, 07 Apr 2020 06:11:27 -0400

schroedinger-maeparser (1.2.3-2) unstable; urgency=medium

  * Team upload.
  * No changes upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Sun, 05 Apr 2020 02:19:36 -0400

schroedinger-maeparser (1.2.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.2.3
  * Refreshing cmake_standard_dirs.patch.
  * Dropping pull-55.patch: applied upstream.
  * Renaming binary packages according to the SONAME (Closes: #948552)
  * Adding Rules-Requires-Root: no.
  * Wrapping and sorting.
  * Using debhelper-compat; bumping (no changes).
  * Not creating empty usr/share/cmake/ directory.
  * Adding build dependency on zlib1g-dev.

 -- Andrius Merkys <merkys@debian.org>  Thu, 19 Mar 2020 02:38:51 -0400
