=== debian/control ===
--- 
+++ 
@@ -1,29 +1,48 @@
 Source: schroedinger-maeparser
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 11), cmake, libboost-filesystem-dev, libboost-iostreams-dev, libboost-test-dev
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Steffen Moeller <moeller@debian.org>,
+Build-Depends:
+ cmake,
+ debhelper-compat (= 12),
+ libboost-filesystem-dev,
+ libboost-iostreams-dev,
+ libboost-test-dev,
+ zlib1g-dev,
 Standards-Version: 4.2.1
 Section: libs
 Homepage: https://www.schrodinger.com/maestro
 Vcs-Browser: https://salsa.debian.org/debichem-team/schroedinger-maeparser
 Vcs-Git: https://salsa.debian.org/debichem-team/schroedinger-maeparser.git
+Rules-Requires-Root: no
 
-Package: libschroedinger-maeparser-dev
+Package: libmaeparser-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libschroedinger-maeparser1 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libmaeparser1 (= ${binary:Version}),
+ ${misc:Depends},
+Breaks:
+ libschroedinger-maeparser-dev,
+Replaces:
+ libschroedinger-maeparser-dev,
 Description: Development files to parse Schrödinger Maestro files
  This package provides header files to develop one's own software
  that uses a library wth an Open Source parser for Maestro (.mae)
  files.
 
-Package: libschroedinger-maeparser1
+Package: libmaeparser1
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ libschroedinger-maeparser1,
+Replaces:
+ libschroedinger-maeparser1,
 Description: parser for Schrödinger Maestro files
  Maestro is a commercial "all-purpose molecular modeling environment",
  produced and distributed by the company Schrödinger. Maestro has its
