=== debian/changelog ===
schroedinger-maeparser (1.2.4-deepin1+rb2) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 14 Nov 2022 17:48:35 +0800

schroedinger-maeparser (1.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.4
  * Simplifying debian/watch and debian/rules.
  * Refreshing patch.
  * Adding myself to debian/copyright.
  * Bumping debhelper-compat (no changes).
  * Bumping Standards-Version (no changes).

 -- Andrius Merkys <merkys@debian.org>  Mon, 19 Oct 2020 04:26:00 -0400
