=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
  Steffen Moeller <moeller@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libboost-filesystem-dev,
  libboost-iostreams-dev,
  libboost-test-dev,
  zlib1g-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://www.schrodinger.com/maestro
 Vcs-Browser: https://salsa.debian.org/debichem-team/schroedinger-maeparser
