=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%schroedinger-maeparser-$1.tar.gz%" \
   https://github.com/schrodinger/maeparser/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
