## schroedinger-maeparser 1.3.0

=== debian/changelog ===
schroedinger-maeparser (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.0
  * Drop cmake_standard_dirs.patch (integrated upstream).
  * Bump copyright years.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Andrius Merkys <merkys@debian.org>  Thu, 22 Sep 2022 08:08:33 -0400
