=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libboost-iostreams-dev,
  libboost-test-dev,
  zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://www.schrodinger.com/maestro
 Vcs-Browser: https://salsa.debian.org/debichem-team/schroedinger-maeparser
