## schroedinger-maeparser 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,7 @@
 
 SET_TARGET_PROPERTIES (maeparser
     PROPERTIES
-       VERSION 1.2.4
+       VERSION 1.3.1
        SOVERSION 1
 )
 
@@ -78,7 +78,7 @@
 
 INSTALL(EXPORT maeparser-targets
     FILE ${PROJECT_NAME}-config.cmake
-    DESTINATION lib/cmake)
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake)
 
 file(GLOB mae_headers "*.hpp")
 install(FILES ${mae_headers} DESTINATION include/maeparser)
