=== debian/changelog ===
schroedinger-maeparser (1.3.1-1build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:55:42 +0100

schroedinger-maeparser (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.1
  * Update standards version to 4.6.2, no changes needed.
  * Remove excess empty line from debian/README.source.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 07 Feb 2023 01:21:25 -0500
