## schroedinger-maeparser 1.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,12 @@
 set (CMAKE_CXX_STANDARD 11)
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.12)
 
 project(maeparser)
 
 option(MAEPARSER_RIGOROUS_BUILD "Abort the build if the compiler issues any warnings" OFF )
 option(MAEPARSER_BUILD_TESTS "Whether test executables should be built" ON)
 option(MAEPARSER_BUILD_SHARED_LIBS "Build maeparser as a shared library (turn off for a static one)" ON)
+option(MAEPARSER_USE_BOOST_IOSTREAMS "Build maeparser with boost::iostreams" ON)
 
 if(MSVC)
     # C4251 disables warnings for export STL containers as arguments (returning a vector of things)
@@ -37,25 +38,28 @@
     target_compile_definitions(maeparser PRIVATE "STATIC_MAEPARSER")
 endif(MAEPARSER_BUILD_SHARED_LIBS)
 
-find_package(Boost COMPONENTS iostreams REQUIRED)
-include_directories(${Boost_INCLUDE_DIRS})
-set(boost_libs ${Boost_LIBRARIES})
+if(MAEPARSER_USE_BOOST_IOSTREAMS)
+    find_package(Boost COMPONENTS iostreams REQUIRED)
+    include_directories(${Boost_INCLUDE_DIRS})
+    set(boost_libs ${Boost_LIBRARIES})
+    target_compile_definitions(maeparser PRIVATE "MAEPARSER_HAVE_BOOST_IOSTREAMS")
 
-find_package(Boost COMPONENTS zlib QUIET)
-if(Boost_ZLIB_FOUND)
-    set(boost_libs ${boost_libs} ${Boost_LIBRARIES})
-    message(STATUS "Using Boost zlib module for iostreams dependency.")
-else(Boost_ZLIB_FOUND)
-    find_package(ZLIB REQUIRED)
-    set(boost_libs ${boost_libs} ${ZLIB_LIBRARIES})
-    message(STATUS "Using zlib library for iostreams dependency.")
-endif(Boost_ZLIB_FOUND)
+    find_package(Boost COMPONENTS zlib QUIET)
+    if(Boost_ZLIB_FOUND)
+        set(boost_libs ${boost_libs} ${Boost_LIBRARIES})
+        message(STATUS "Using Boost zlib module for iostreams dependency.")
+    else(Boost_ZLIB_FOUND)
+        find_package(ZLIB REQUIRED)
+        set(boost_libs ${boost_libs} ZLIB::ZLIB)
+        message(STATUS "Using zlib library for iostreams dependency.")
+    endif(Boost_ZLIB_FOUND)
 
-target_link_libraries(maeparser ${boost_libs})
+    target_link_libraries(maeparser ${boost_libs})
+endif(MAEPARSER_BOOST_IOSTREAMS_SUPPORT)
 
 SET_TARGET_PROPERTIES (maeparser
     PROPERTIES
-       VERSION 1.3.1
+       VERSION 1.3.3
        SOVERSION 1
 )
