=== debian/changelog ===
schroedinger-maeparser (1.3.3-4) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with boost 1.90 by build-depending on libboost-exception-dev
    (Closes: #1127077). Thanks Matthias Klose

 -- Andrius Merkys <merkys@debian.org>  Fri, 06 Feb 2026 03:20:16 -0500

schroedinger-maeparser (1.3.3-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Tue, 30 Sep 2025 04:43:09 -0400

schroedinger-maeparser (1.3.3-2) experimental; urgency=medium

  * Team upload.
  * Adjust CMake file location to make it findable by other packages.

 -- Andrius Merkys <merkys@debian.org>  Mon, 29 Sep 2025 03:44:17 -0400

schroedinger-maeparser (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.3
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 02 Sep 2025 03:29:55 -0400
