=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
+ libboost-exception-dev,
  libboost-filesystem-dev,
  libboost-iostreams-dev,
  libboost-test-dev,
  zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://www.schrodinger.com/maestro
 Vcs-Browser: https://salsa.debian.org/debichem-team/schroedinger-maeparser
